// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// made by blueversal

ItemEvents.firstLeftClicked(event => {
  const weaponCooldowns = [
    'lethality:blighted_cleaver',
    'lethality:defiled_greatsword',
    'lethality:bladecrest_oathsword',
    'lethality:forbidden_oathblade',
    'lethality:exalted_oathblade',
    'lethality:devils_devastation',
    'lethality:gaels_greatsword',
    'lethality:pickle_paddle',
    'lethality:starlight',
    'lethality:hf_meowrasama'
  ];

  const id = event.item.id;

  if (weaponCooldowns.includes(id)) {
    event.server.scheduleInTicks(5, () => {
      event.player.addItemCooldown(id, 5);
    });
  }
});